libzypp 17.37.10

ztui::Out::ProgressBar::Print Struct Reference

ProgressData::ReceiverFnc printing to a ProgressBar. More...

## Public Member Functions
| Print (ProgressBar &bar_r)
bool | operator() (const zypp::ProgressData &progress_r)

## Private Attributes
ProgressBar * | _bar

## Detailed Description

ProgressData::ReceiverFnc printing to a ProgressBar.

Note
  This could also be used to let an external ProgressData object trigger a ProgressBar. ProgressBar::label and ProgressBar::print however use the embedded ProgressData object (esp. it's label). So don't mix this.

Definition at line 1089 of file Out.h.

## Constructor & Destructor Documentation

## ◆ Print()

ztui::Out::ProgressBar::Print::Print | ( | ProgressBar & | bar_r | ) |
| inline

Definition at line 1091 of file Out.h.

## Member Function Documentation

## ◆ operator()()

bool ztui::Out::ProgressBar::Print::operator() | ( | const zypp::ProgressData & | progress_r | ) |
| inline

Definition at line 1092 of file Out.h.

## Member Data Documentation

## ◆ _bar

ProgressBar* ztui::Out::ProgressBar::Print::_bar
| private

Definition at line 1095 of file Out.h.

The documentation for this struct was generated from the following file:

- zypp-tui/output/Out.h